Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230381 - Snort needs to be re-reviewed
Summary: Snort needs to be re-reviewed
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snort
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 17:58 UTC by Matthias Saou
Modified: 2008-05-07 01:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:15:06 UTC


Attachments (Terms of Use)

Description Matthias Saou 2007-02-28 17:58:11 UTC
I feel like the snort package really needs to be reviewed again. It must be part
of the packages that were brought over from fedora.us since it contains a lot of
details which don't conform to the packaging guidelines, and there is room for
major enhancements. After a quick glance :
- Sub-packages have identical copy/pasted summaries
- Prefix: /usr and passing --prefix and --sysconfdir to %configure are useless
- The %preun scriplet is broken and snortd will get stopped upon upgrade(!!)
- There is /sbin/ldconfig in %post but no %postun (ldconfig doesn't seem needed)

The %description and README.fedora could use a cleanup too... not to mention the
entire spec file, which is very hard to read.
I'd also argue that so many sub-packages isn't needed, and the symlinks hacks
are ugly, and should possibly be handled by alternatives.

Dennis : Would you be willing to get snort through the review process? It's a
perfect candidate for EPEL... but not in its current state IMHO.

Comment 1 Dennis Gilmore 2007-02-28 18:22:43 UTC
snort is very ugly and I am really un happy with it.  I un orphaned it awhile 
ago as i wanted to use it and I think it would be a great EPEL candidate.  So 
yes. i am willing to make it better. 

Comment 2 Bug Zapper 2008-04-03 19:18:02 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 3 Bug Zapper 2008-05-07 01:15:04 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.